add_subdirectory( lib     )
add_subdirectory( plugins )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/dvb/lib
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/dvb/plugins/stream
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/dvb/plugins/epg
  ${CMAKE_SOURCE_DIR}/kaffeine/src 
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kaffeinedvb (static)

tde_add_library( kaffeinedvb STATIC_PIC AUTOMOC

  SOURCES
        audioeditorui.ui
        channeleditorui.ui
        camdialog.ui
        cammenudialog.ui
        scandialogui.ui
        subeditorui.ui
        broadcasteditorui.ui
        crontimerui.ui
        audioeditor.cpp
        channeldesc.cpp
        channeleditor.cpp
        dvbconfig.cpp
        dvbevents.cpp
        dvbout.cpp
        dvbpanel.cpp
        dvbsi.cpp
        dvbstream.cpp
        kevents.cpp
        kgradprogress.cpp
        krecord.cpp
        ktimereditor.cpp
        scandialog.cpp
        sender.cpp
        ts2rtp.cpp
        subeditor.cpp
        broadcasteditor.cpp
        cleaner.cpp
        crontimer.cpp
        dvbcam.cpp  
  LINK
      kaffeinedvbplugin-shared
      kaffeineepgplugin-shared
      kaffeineinput-static
      dvbapi-static
      dvben50221-static
      ucsi-static     
)


##### other data

install(
    FILES kaffeinedvb.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)
